Subject: Re: bug#18716: 24.3; dired-omit-extensions's default value omits COPYING.LIB

From: Reuben Thomas <[email-masked]>
Date: Thu, 16 Oct 2014 00:00:43 +0100

On 15 October 2014 23:42, Stefan Monnier <[email-masked]> wrote:

> > Although no-one has yet answered my question why Emacs takes these
> patterns
> > to be case-insensitive even on case-sensitive filing systems.
>
> I don't actually know.
>
> Maybe because the existence of case-insensitive filesystems cause the
> existence of files with "weird" extensions like ".JPG" and it's easier
> to just say "match case-insensitively" than to handle the known cases
> where case is sometimes "messed up".
>
> At least, that's the reason for the existence of auto-mode-case-fold.
>

Maybe this is a good place to start, then? Wouldn't the user prefer to know
about oddly-named files on a case-sensitive file system, rather than have
them automagically hidden? How about (at least optionally) matching
case-sensitively? That would solve the COPYING.LIB problem too.

-- 
http://rrt.sc3d.org